<?php
function tempelturmechaos_getmoduleinfo(){
	$info = array(
		"name"=>"Tempel Turme des Chaos",
		"author"=>"`4 Simon Hanke kontakt `n Arcangel.diaboli.samael@googlemail.com",
		"version"=>"1.0.0",
		"category"=>"Religion",
		"prefs"=>array(
			" User Preferences,title",
			"gehabt"=>"Hat der User das Event heute gehabt? ,int|0",
		),

	);
	return $info;
}

function tempelturmechaos_install(){
	module_addhook("tempelmain");
	module_addhook("newday");
	return true;
}

function tempelturmechaos_uninstall(){
	return true;
}

function tempelturmechaos_dohook($hookname,$args){
	global $session;
	switch ($hookname) {
		case "tempelmain":
			addnav("Chaosreligion");
			addnav("Turm des Chaos","runmodule.php?module=tempelturmechaos");
		break;
		case "newday":
			set_module_pref("gehabt",0);
		break;
	}
	return $args;
}

function tempelturmechaos_run(){
	global $session;
	$op=httpget('op');
	$body=httppost('body');
	page_header("Tempeltrum des Chaos");
	switch($op){
		case "":
			output("Beschreibung");
			
			addnav("beten","runmodule.php?module=tempelturmechaos&op=beten");
			addnav("spenden","runmodule.php?module=tempelturmechaos&op=pay");
			addnav("erkunden","runmodule.php?module=tempelturmechaos&op=go");
			addnav("den Turm emporklettern","runmodule.php?module=tempelturmechaos&op=high");
			addnav("zurck","runmodule.php?module=tempelmain");
		break;
		case "beten":
			if(get_module_pref("maxbeten","religiondunkelmain")==1)
			{
				output("Fr heute hast du deinem Gott genug gehuldigt.");
			}
			else
			{
				set_module_pref("maxbeten","religiondunkelmain",1);
				output("Du betest zu deinem Gott.");
				switch(rand(1,10)){
					case 1: 
					case 2:
					case 3:
					case 4:
					case 5:
					case 6:
					case 7:
						output("Dein Gebet wurde erhrt.");
						output("Incendus segnet dich.");
						apply_buff('rellight',
							array(
								"name"=>"`4 Segen Des Chaos",
								"rounds"=>40,
								"wearoff"=>"`4Der Segen des chaos verliert an Kraft",
								"atkmod"=>1.2,
								"roundmsg"=>"`#Incendus fhrt deine Hand mit Kraft",
								)
						);
					break;
					case 8:
						output("Du wurdest verflucht.");
						output("Incendus schenkt dir den perfekten Blick der Ordnung");
						apply_buff('rellight',
						array(
							"name"=>"`4 Chaoswahn",
							"rounds"=>40,
							"wearoff"=>"`4Dein Chaoswahn erlischt.",
							"atkmod"=>.8,
							"roundmsg"=>"`4Deine Gedanken befassen sich nur mit dem Chaos.",
							)
						);
					break;
					case 9:
					case 10:
						output("Deine Gebete werden nicht erhrt.");
					break;
				}
			}
		addnav("zurck","runmodule.php?module=tempelturmechaos");
		break;
		case "pay":
			output("Hier kannst du Gold an die Religion des Chaos spenden.");
			if($body=="")
			{
				rawoutput("<form action='runmodule.php?module=tempelturmechaos&op=pay' method='POST'>");
				rawoutput("<input name=\"body\" type=\"integer\" size=\"50\" maxlength=\"50\"> ");
				rawoutput("<input type='submit' class='button' value='".translate_inline("send")."'/form>");
				rawoutput("</form>");
				addnav("","runmodule.php?module=tempelturmechaos&op=pay");
			}
			else
			{
				if($session['user']['gold']<=$body)
				{
					output("Du hast nicht genug Gold bei dir.");
				}
				else
				{
					$session['user']['gold']-=$body;
					$goldtime = get_module_setting("goldchaos","goldrel");
					$goldtime += $body;
					set_module_setting("goldchaos",$goldtime,"goldrel");
					debuglog("spendet $body im Tempel des Chaos");
				}
			}
			addnav("zurck","runmodule.php?module=tempelturmechaos");
		break;
		case "go":
			
			if(get_module_pref("gehabt")==1)
			{
				output("Du bist zu erschpft um noch mehr zu erkunden.");
			}
			else
			{
				set_module_pref("gehabt",1);
				switch(rand(1,10)){
					case 1:
					case 2:
					case 3:
						output("Heute scheint dein Glckstag zu sein. Du findest etwas Gold im Tempelturm des Chaos.");
						$s = round(rand(1,10)*$session['user']['level']);
						debuglog("findet $s Gold im Tempel des Chaos.");
						$session['user']['gold']+=$s;
					break;
					case 4:
						output("Bei der Erkundung schleichst du an einer Mauer entlang. Ein Skorpion sticht dich, du stirbst.");
						$session['user']['alive']=false;
						$session['user']['turns']=0;
						$session['user']['hitpoints']=0;
						$exp = $session['user']['experience'];
						$session['user']['experience']*=0.95;
						$exp -= $session['user']['experience'];
						$session['user']['gold']=0;
						addnav("Optionen");
						addnav("Tgliche News","news.php");
						addnews("%s stirbt beim Erkunden des Chaos Turmes.",$session['user']['name']);
						debuglog("stirbt im Tempel des Chaos auf Erkundungstour und verliert $exp.");
						blocknav("runmodule.php?module=tempelanlage");
						blocknav("runmodule.php?module=tempelturmechaos");
					break;
					case 6:
						output("Das Skelett eines toten Abenteurers liegt vor dir. Bei der Durchsuchung seiner Kleider findest du Edelsteine und nimmst sie an dich");
						$b = rand(1,4);
						debuglog("Findet $b Gems im Tempel des CHaos");
						$session['user']['gems']+=$b;
					break;
					case 7:
					case 8:
						output("Du fhlst dich nach deiner Erkundung, durch die die Gtter berhrt");
					
							apply_buff('rellight',
							array(
								"name"=>"`4 Incendus Segen wird dich begleiten.",
								"rounds"=>40,
								"wearoff"=>"`4Incendus Segen ist zu Ende.",
								"atkmod"=>1.01,
								"roundmsg"=>"`4Du sprst Incendus segen auf dir",
								)
							);
					break;
					case 5:
					case 9:
					case 10:
						output("Du findest Heilkruter und kaust sie. Du wirst geheilt.");
						$session['user']['hitpoints']=$session['user']['maxhitpoints'];
					break;
				}
			}
			addnav("zurck","runmodule.php?module=tempelturmechaos");
		break;
		case "high":
			
			if(get_module_pref("gehabt")==1)
			{
				output("Du bist zu erschpft um noch einmal den Turm empor zu klettern");
			}
			else
			{
				set_module_pref("gehabt",1);
				switch(rand(1,7)){
				case 1:
					output("Bei deinem Versuch den Turm emporzuklettern rutschst du ab und fllst auf die Felsen am Fue des hohen Bauwerks. Mit zerschmetterten Knochen liegst du tot da");
					$session['user']['alive']=false;
						$session['user']['turns']=0;
						$session['user']['hitpoints']=0;
						$exp = $session['user']['experience'];
						$session['user']['experience']*=0.95;
						$exp -= $session['user']['experience'];
						$session['user']['gold']=0;
						addnav("Optionen");
						addnav("Tgliche News","news.php");
						addnews("%s stirbt beim Turm.",$session['user']['name']);
						debuglog("Du stirbst im Tempel des Chaos auf Erkundungstour und verliert $exp");
						blocknav("runmodule.php?module=tempelanlage");
						blocknav("runmodule.php?module=tempelturmechaos");
				break;
				case 2:
				case 3:
					output("Du sprst wie die Kraft des Incendus dich durchflutet und gewinnst einen neuen Waldkampf");
					$session['user']['turns']++;
				break;
				case 4:
				case 5:
				output("Du kletterst immer hher, bis du ein Vogelnest findest. Du zerschlgst ein Ei und schlrfst es aus. Du wirst geheilt.");
				$session['user']['hitpoints']=$session['user']['maxhitpoints'];
				break;
				case 6:
				case 7:
					output("Du kletterst zu einem Fenster empor. Von der Fensterbank stiehlst du ein Amulett. Dein Charme wchst dadurch.");
					$session['user']['charm']++;
					debuglog("Bekommt einen Charmepunkt.");
				break;
				}
			}
				addnav("zurck","runmodule.php?module=tempelturmechaos");
			
			break;
		
}
	page_footer();
}
?>